---
title: docker_engine
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.docker_engine) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.docker_engine?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.docker_engine) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE) 

Setup docker engine.

* [Default Variables](#default-variables)
  * [dockerengine_base_dir](#dockerengine_base_dir)
  * [dockerengine_block_registries](#dockerengine_block_registries)
  * [dockerengine_cli_options](#dockerengine_cli_options)
  * [dockerengine_docker_group_enabled](#dockerengine_docker_group_enabled)
  * [dockerengine_http_proxy](#dockerengine_http_proxy)
  * [dockerengine_https_proxy](#dockerengine_https_proxy)
  * [dockerengine_insecure_registries](#dockerengine_insecure_registries)
  * [dockerengine_no_proxy](#dockerengine_no_proxy)
  * [dockerengine_nsremap_range_length](#dockerengine_nsremap_range_length)
  * [dockerengine_nsremap_range_start](#dockerengine_nsremap_range_start)
  * [dockerengine_nsremap_user](#dockerengine_nsremap_user)
  * [dockerengine_packages](#dockerengine_packages)
  * [dockerengine_packages_extra](#dockerengine_packages_extra)
  * [dockerengine_packages_python](#dockerengine_packages_python)
  * [dockerengine_secure_registries](#dockerengine_secure_registries)
  * [dockerengine_service](#dockerengine_service)
  * [dockerengine_storage_lv](#dockerengine_storage_lv)
  * [dockerengine_storage_pvs](#dockerengine_storage_pvs)
  * [dockerengine_storage_size](#dockerengine_storage_size)
  * [dockerengine_storage_vg](#dockerengine_storage_vg)
  * [dockerengine_usernamespace_enabled](#dockerengine_usernamespace_enabled)
* [Dependencies](#dependencies)

---

## Default Variables

### dockerengine_base_dir

#### Default value

```YAML
dockerengine_base_dir: /var/lib/docker
```

### dockerengine_block_registries

#### Default value

```YAML
dockerengine_block_registries: []
```

### dockerengine_cli_options

#### Default value

```YAML
dockerengine_cli_options:
  - selinux-enabled
  - log-driver=journald
  - log-level=info
  - signature-verification=false
```

### dockerengine_docker_group_enabled

#### Default value

```YAML
dockerengine_docker_group_enabled: false
```

### dockerengine_http_proxy

#### Default value

```YAML
dockerengine_http_proxy: _unset_
```

### dockerengine_https_proxy

#### Default value

```YAML
dockerengine_https_proxy: _unset
```

### dockerengine_insecure_registries

#### Default value

```YAML
dockerengine_insecure_registries: []
```

### dockerengine_no_proxy

#### Default value

```YAML
dockerengine_no_proxy: _unset_
```

### dockerengine_nsremap_range_length

#### Default value

```YAML
dockerengine_nsremap_range_length: 65536
```

### dockerengine_nsremap_range_start

#### Default value

```YAML
dockerengine_nsremap_range_start: 231072
```

### dockerengine_nsremap_user

#### Default value

```YAML
dockerengine_nsremap_user: dockremap
```

### dockerengine_packages

#### Default value

```YAML
dockerengine_packages:
  - docker
```

### dockerengine_packages_extra

The role requires epel repository and pip to work .You can use `dockerengine_packages_extra` to install these dependencys.

#### Default value

```YAML
dockerengine_packages_extra: []
```

### dockerengine_packages_python

#### Default value

```YAML
dockerengine_packages_python:
  - name: docker-compose
```

### dockerengine_secure_registries

#### Default value

```YAML
dockerengine_secure_registries: []
```

### dockerengine_service

#### Default value

```YAML
dockerengine_service: docker
```

### dockerengine_storage_lv

#### Default value

```YAML
dockerengine_storage_lv: lv_docker
```

### dockerengine_storage_pvs

#### Default value

```YAML
dockerengine_storage_pvs: _unset_
```

#### Example usage

```YAML
dockerengine_storage_pvs: /dev/sda
```

### dockerengine_storage_size

#### Default value

```YAML
dockerengine_storage_size: 100G
```

### dockerengine_storage_vg

#### Default value

```YAML
dockerengine_storage_vg: vg_docker
```

### dockerengine_usernamespace_enabled

#### Default value

```YAML
dockerengine_usernamespace_enabled: false
```

## Dependencies

None.
